package de.limited_dev.lil_judd.util;

import net.dv8tion.jda.api.EmbedBuilder;
import net.dv8tion.jda.api.events.Event;
import net.dv8tion.jda.api.events.interaction.command.SlashCommandInteractionEvent;

import java.awt.*;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

public class EmbeddedMessageHelper {
    private static final DateTimeFormatter dtf = DateTimeFormatter.ofPattern("HH:mm:ss | dd/MM/yyyy");

    public static void sendSimpleOneLiner(SlashCommandInteractionEvent event, String author, String title, String description, String thumbnailURL){
        LocalDateTime now = LocalDateTime.now();
        EmbedBuilder eb = new EmbedBuilder();

        eb.setAuthor(author);
        eb.setTitle(title);
        eb.setColor(Color.ORANGE);
        eb.setDescription(description);
        eb.setThumbnail(thumbnailURL);
        eb.setFooter(">" + dtf.format(now) + " - " + event.getUser().getName() + "#" + event.getUser().getDiscriminator());
        event.replyEmbeds(eb.build()).queue();
    }
}
